#ifndef _BRUM_BRUMT2I2C_H_
#define _BRUM_BRUM2I2C_H_

#ifdef BRUM2I2C_DEBUG

#define brum2i2c_dbgc(a)	__dbc(a)
#define brum2i2c_dbgs(a)	__dbsp(a)
#define brum2i2c_dbgch(a) 	__dbch(a)
#define brum2i2c_dbgih(a) 	__dbih(a) 

#else

#define brum2i2c_dbgc(a)
#define brum2i2c_dbgs(a)  
#define brum2i2c_dbgch(a)
#define brum2i2c_dbgih(a)

#endif


#define BRUMMODULE_RXFIFO_DATA (0)
#define BRUMMODULE_TXFIFO_DATA (1)
#define BRUMMODULE_RXFIFO_STATUS (2)
#define BRUMMODULE_TXFIFO_STATUS (3)
#define BRUMMODULE_RXFIFO_CMD (4)
#define BRUMMODULE_TXFIFO_CMD (5)
#define BRUMMODULE_STATUS_CONTROL (6)
#define BRUMMODULE_RXCHARS (7)
#define BRUMMODULE_TXCHARS (8)

#define BRUMMODULE_CC_CHANNEL (9)
#define BRUMMODULE_CC_KEY0 (10)
#define BRUMMODULE_CC_KEY1 (11)
#define BRUMMODULE_CC_POWER (12)
#define BRUMMODULE_CC_MAC (13)
#define BRUMMODULE_CC_PAN (14)
#define BRUMMODULE_CC_STATUS (15)

#define BRUMMODULE_DEBUGFIFO_DATA (16)
#define BRUMMODULE_DEBUGFIFO_STATUS (17)
#define BRUMMODULE_DEBUGFIFO_CMD (18)
#define BRUMMODULE_DEBUGFIFO_CHARS (19)

#define BRUMMODULE_CC_RSSI (20)

#define BRUMMODULE_ID (255)

#define BRUMMODULE_STATUS_CONTROL_CC_VREG_EN (0x01)
#define BRUMMODULE_STATUS_CONTROL_CC_RESETN (0x02)

void init_brum2i2c (u8 myslaveaddr);
void brum2i2c_selectSlave (u8 slaveaddr);
void brum2i2c_getSlave (u8 *slaveaddr);

u8 brum2i2c_tx_data (u8 * data, u8 len);
u8 brum2i2c_rx_data (u8 * data, u8 len);

u8 brum2i2c_select_reg (u8 reg);

u8 brum2i2c_read_rxfifo_data (u8 *outbuf, u8 len);
u8 brum2i2c_write_txfifo_data (u8 *inbuf, u8 len);

u8 brum2i2c_read_rxfifo_status (u8 *val);
u8 brum2i2c_read_txfifo_status (u8 *val);

u8 brum2i2c_read_rxfifo_cmd (u8 *val);
u8 brum2i2c_write_rxfifo_cmd (u8 val);
u8 brum2i2c_read_txfifo_cmd (u8 *val);
u8 brum2i2c_write_txfifo_cmd (u8 val);

u8 brum2i2c_read_control (u8 *val);
u8 brum2i2c_write_control (u8 val);

u8 brum2i2c_read_rxchars (u16 *val);
u8 brum2i2c_read_txchars (u16 *val);

u8 brum2i2c_read_debug_chars (u16 *val);
u8 brum2i2c_read_debug_data (u8 *outbuf, u8 len);

u8 brum2i2c_read_rssi (u8 *val);

u8 brum2i2c_read_id (u8 *val);

#endif
